Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.persistence
[Java] Class FlowAwareCurrentSessionContext

    java.lang.Object
      org.springframework.orm.hibernate3.SpringSessionContext
          org.codehaus.groovy.grails.webflow.persistence.FlowAwareCurrentSessionContext

    public class FlowAwareCurrentSessionContext
    extends org.springframework.orm.hibernate3.SpringSessionContext

A Hibernate CurrentSessionContext that is aware of flow requests and looks up the Session from the flow instead of the current Thread.

Authors:
  Graeme Rocher

Since:
  1.0

Constructor Summary
`FlowAwareCurrentSessionContext(org.hibernate.engine.SessionFactoryImplementor sessionFactory)` Create a new SpringSessionContext for the given Hibernate SessionFactory.

Method Summary
`org.hibernate.classic.Session` | `currentSession()`

Methods inherited from class org.springframework.orm.hibernate3.SpringSessionContext
org.springframework.orm.hibernate3.SpringSessionContext#currentSession(), org.springframework.orm.hibernate3.SpringSessionContext#wait(), org.springframework.orm.hibernate3.SpringSessionContext#wait(long, int), org.springframework.orm.hibernate3.SpringSessionContext#wait(long), org.springframework.orm.hibernate3.SpringSessionContext#equals(java.lang.Object), org.springframework.orm.hibernate3.SpringSessionContext#toString(), org.springframework.orm.hibernate3.SpringSessionContext#hashCode(), org.springframework.orm.hibernate3.SpringSessionContext#getClass(), org.springframework.orm.hibernate3.SpringSessionContext#notify(), org.springframework.orm.hibernate3.SpringSessionContext#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### FlowAwareCurrentSessionContext

    public FlowAwareCurrentSessionContext(org.hibernate.engine.SessionFactoryImplementor sessionFactory)

  Create a new SpringSessionContext for the given Hibernate SessionFactory.
  Parameters:
    `sessionFactory` - the SessionFactory to provide current Sessions for

Method Detail

### currentSession

    @Override
    public org.hibernate.classic.Session currentSession()

Groovy Documentation